List Run Artifacts
curl --request GET \
--url https://api.example.com/api/v1/runs/{id}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/runs/{id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/runs/{id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"stage_id": "<string>",
"node_slug": "<string>",
"retry": 1,
"relative_path": "<string>",
"size": 1
}
]
}{
"errors": [
{
"status": "404",
"title": "Not Found",
"detail": "Run not found.",
"code": "access_token_expired",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leftover_env_keys": [
"<string>"
],
"removed_env_keys": [
"<string>"
]
}Run Outputs
List Run Artifacts
Lists captured artifact files for a run.
GET
/
api
/
v1
/
runs
/
{id}
/
artifacts
List Run Artifacts
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Path Parameters
Unique run identifier (ULID).
Response
Artifact files captured for the run
List of captured artifact files for a run.
Show child attributes
Show child attributes
⌘I